Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.imagemap
Class ImageMapPanelAdapter

    java.lang.Object
      edu.stanford.smi.protegex.widget.imagemap.ImageMapPanelAdapter

All Implemented Interfaces:
  ImageMapPanelListener

    public class ImageMapPanelAdapter

extends Object
implements ImageMapPanelListener

Description of the class

Author:
  William Grosso

Constructor Summary
`ImageMapPanelAdapter()`

Method Summary
`void` | `logicalClick(Point where)`
`void` | `logicalDrag(Point where)`
`void` | `logicalDragFinished(Point where)`
`void` | `logicalDragStarted(Point where)`
`void` | `logicalPress(Point where)`
`void` | `logicalRelease(Point where)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageMapPanelAdapter

    public ImageMapPanelAdapter()

Method Detail

### logicalClick

    public void logicalClick(Point where)

  Specified by:
    `logicalClick` in interface `ImageMapPanelListener`

### logicalDrag

    public void logicalDrag(Point where)

  Specified by:
    `logicalDrag` in interface `ImageMapPanelListener`

### logicalDragFinished

    public void logicalDragFinished(Point where)

  Specified by:
    `logicalDragFinished` in interface `ImageMapPanelListener`

### logicalDragStarted

    public void logicalDragStarted(Point where)

  Specified by:
    `logicalDragStarted` in interface `ImageMapPanelListener`

### logicalPress

    public void logicalPress(Point where)

  Specified by:
    `logicalPress` in interface `ImageMapPanelListener`

### logicalRelease

    public void logicalRelease(Point where)

  Specified by:
    `logicalRelease` in interface `ImageMapPanelListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request